Bug 1004341 - subscription-manager-gui does not bash complete its options
Summary: subscription-manager-gui does not bash complete its options
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.5
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: Carter Kozak
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel65
TreeView+ depends on / blocked
 
Reported: 2013-09-04 12:53 UTC by John Sefler
Modified: 2013-11-21 21:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Add bash completion for subscription-manager-gui options. Reason: Better usability. Result (if any):
Clone Of:
Environment:
Last Closed: 2013-11-21 21:28:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1659 normal SHIPPED_LIVE subscription-manager and python-rhsm bug fix and enhancement update 2013-11-20 21:53:10 UTC

Description John Sefler 2013-09-04 12:53:41 UTC
Description of problem:

[root@jsefler-6 ~]# subscription-manager-gui --help
Usage: subscription-manager-gui [OPTIONS]

Options:
  -h, --help  show this help message and exit
  --register  launches the registration dialog on startup

The options above do not bash complete when I type:
[root@jsefler-6 ~]# subscription-manager-gui -<TAB>TAB>

Expected: -h  --help  --register


Version-Release number of selected component (if applicable):
[root@jsefler-6 ~]# rpm -q subscription-manager-gui
subscription-manager-gui-1.9.5-1.el6.x86_64

Comment 1 Carter Kozak 2013-09-11 17:47:37 UTC
commit e64c910cec786ae03f94226cfbdaf5081f46e9a6
Author: ckozak <ckozak@redhat.com>
Date:   Wed Sep 4 09:30:22 2013 -0400

    1004341: add gui completion

Comment 3 John Sefler 2013-09-13 18:40:02 UTC
Testing Version...
[root@jsefler-6 ~]# rpm -q subscription-manager bash-completion
subscription-manager-1.9.6-1.el6.x86_64
bash-completion-1.3-7.el6.noarch

[root@jsefler-6 ~]# subscription-manager-gui -<TAB><TAB>
-h          --help      --register  
[root@jsefler-6 ~]# subscription-manager-gui --reg<TAB><TAB>

BANG!  Instead of completing "--register" it resets to "-"

Moving back to ASSIGNED/FailedQA

Comment 4 Carter Kozak 2013-09-25 14:21:11 UTC
commit 7fc4b0314f4db72a9540abbecc9447eeb717f634
Author: ckozak <ckozak@redhat.com>
Date:   Thu Sep 19 16:49:23 2013 -0400

    1004341: gui completion no longer resets

Comment 5 Bryan Kearney 2013-09-26 18:02:48 UTC
fixed in subscription-manager-1.9.6-1

Comment 6 John Sefler 2013-09-27 16:34:52 UTC
(In reply to Bryan Kearney from comment #5)
> fixed in subscription-manager-1.9.6-1

Nope.  Still fails in subscription-manager-gui-1.9.7-1.el6.x86_64

Has not yet been cherry picked to RHEL6.5

Comment 8 Sharath Dwaral 2013-10-08 00:18:16 UTC
Version:

Tested on stage

# subscription-manager version 
server type: Red Hat Subscription Management
subscription management server: Unknown
subscription-manager: 1.9.9-1.el6
python-rhsm: 1.9.6-1.el6

# subscription-manager-gui -<TAB><TAB>
-h          --help      --register  

[root@dhcp129-24 ~]# subscription-manager-gui --<TAB><TAB>
--help      --register

VERIFIED

Comment 9 errata-xmlrpc 2013-11-21 21:28:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1659.html


Note You need to log in before you can comment on or make changes to this bug.